Skip to main content
GET
/
v0
/
page_link_blocks
List page link blocks
curl --request GET \
  --url https://api.tryarchitect.com/v0/page_link_blocks \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "createdAt": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z",
      "linkBlockId": "<string>",
      "links": [
        {
          "type": "<string>",
          "text": "<string>",
          "url": "<string>",
          "id": "<string>"
        }
      ],
      "name": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

x-api-key
string
header
required

API key authentication for the External Actor Gateway

Query Parameters

kind
enum<string>

kind parameter

Available options:
footer,
navigation

Response

Successful operation

items
object[]
required